## zangband 2.7.5pre1

=== debian/changelog ===
zangband (1:2.7.5pre1-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace obsolete build dependency on tk8.4-dev by tk-dev
    (Closes: #737283).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 01 Feb 2014 14:54:31 +0400

zangband (1:2.7.5pre1-9) unstable; urgency=low
  
  [ Markus Koschany ]
  * Switch to packaging format 3.0 (quilt). (Closes: #693627) 
  * Drop postinst script. Upgrading from Debian releases before
    Squeeze is no longer supported.
  * Add 300_fix_explosive_rune.patch which fixes a typo in
    /lib/edit/t_info.txt. This will prevent the script from failing under
    certain circumstances if you cast the explosive rune.
    Thanks Alexander Waldmann for the report. (Closes: #540627)
  * Remove zangband.dirs file, we don't need it.
  * Remove README.source. The version of zangband shipped with Debian is
    pristine. Please use uscan and uupdate to fetch the sources.
  * Update README.Debian and remove the section about known bugs which is
    outdated. 
  * debian/rules:
    - Simplify the rules by using dh sequencer. 
    - Build with hardening=+all.
    - Build with -Wl, --as-needed to avoid unneccessary dependencies.
    - Build with parallel and autoreconf which ensures the build system is
    properly recreated on every rebuild.
  * debian/control:
    - Add dh-autoreconf to Build-Depends and remove quilt and automake which
    are not needed anymore.
    - Add a homepage field.
    - Remove incorrect ${shlibs:Depends} variable from package zangband-data.
  * Add watch file. Thanks to Bart Martens.
  * Add debian/manpages instead of installing the manpage via debian/rules.
  * Fix spelling errors in manpage.
  * Remove empty directories in /usr/share/games/zangband/lib and
    /var/games/zangband/lib.
  * Change non-standard directory permissions in /var/games/zangband/bone/ and
    /var/games/zangband/save from 2770 to 2775 on new installations.
  * Add dep3 headers to all patches.
  * Add desktop file and new icons. 
  * Rename z_update.txt to changelog and readme to README.

 -- Markus Koschany <apo@gambaru.de>  Wed, 12 Jan 2013 19:28:30 +0100

zangband (1:2.7.5pre1-8) unstable; urgency=low

  * Really fix the copyright file. Use the GNU All-Permissive license instead
    of GPL-3+ for the debian directory. This avoids making the package
    non-distributable while the files can remain free. The only occurrence
    of the Angband license is in src/angband.h. The new revision makes it
    clear.

 -- Markus Koschany <apo@gambaru.de>  Wed, 09 Jan 2013 17:10:55 +0100

zangband (1:2.7.5pre1-7) unstable; urgency=low

  * Add myself to Uploaders with the consent of Drew Parsons.
  * Update debian/copyright to copyright format 1.0. Add missing Lua license
    and Microsoft Permissive License and credit the copyright holders.
    (Closes: #696919)
  * Mark the maintainer comment in debian/copyright plainly as such. Briefly
    explain why Zangband is non-free without rewording the license.
    (Closes: #696916)

 -- Markus Koschany <apo@gambaru.de>  Sun, 30 Dec 2012 16:05:02 +0100

zangband (1:2.7.5pre1-6) unstable; urgency=high

  * wheezy is frozen: revert -5 changes to push through only
    Markus' patch for bug#688259.

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Nov 2012 11:17:29 +1100

zangband (1:2.7.5pre1-5) unstable; urgency=low

  * Fix wrong $static_datadir path in zangband.postinst file to avoid 
    deletion of *.raw files in /var/games/zangband/data. 
    Thanks, Markus Koschany. Closes: #688259.
  * Fixed Lintian warnings:
    - debhelper-but-no-misc-depends
    - patch-system-but-no-source-readme
    - debian-rules-missing-recommended-target
    - dh-clean-k-is-deprecated
  * override lintian warning description-synopsis-starts-with-article
  * debhelper compat 9
  * Standards-Version: 3.9.4

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Nov 2012 08:29:55 +1100

zangband (1:2.7.5pre1-4) unstable; urgency=low

  * libgtk1 is no longer welcome in Debian.  zangband's gtk shell was
    never updated to libgtk2, so ship without it (it didn't really
    work anyway, cf. bug #284414).  Remove Build-Depends: libgtk1.2-dev.
    Note that I will *not* explicitly set "configure --with-gtk=no",
    for the sake of anyone who wants to build zangband with gtk1 for
    themselves (by installing the old libgtk1.2-dev package).   
    Closes: #515985.
  * Patch 200_spearOfHagen.diff for Spear of Hagen: 
    player.lev not player.level in lib/edit/a_info.txt
    Thanks Guillaume Giroux. Closes: #516064.
  * Random number generator needs help to recognise 64bit systems.
    Patch 120_rng_64bit.diff thanks to spikethehobbitmage. 
    Closes: #457859, #496863.
  * Standards-Version: 3.8.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Feb 2009 17:48:57 +1100

zangband (1:2.7.5pre1-3) unstable; urgency=low

  * The upstream makefile has a series of dependencies requiring
    automake (aclocal, autoconf) to be present.  configure must be
    newer than configure.in, of course, but configure.in must be newer
    than .version in order to ensure the automated versioning (from
    src.defines.h) is correctly used.  The problem is that the
    upstream tarball ships configure.in but not .version.
    configure.in is updated locally when autoreconf is performed, but
    the refreshed configure.in is the same in content as the one in
    the original tarball, only the timestamp differs.  It is therefore
    ignored by dpkg-source when generating zangband_2.7.5pre1-3.diff.gz, 
    since diff pays no attention to timestamps. So, when unpacking the
    original tarball and Debian diff ready for building, configure.in
    is extracted from the original tarball with the original timestamp
    while .version is extracted from the diff with a date matching the
    unpacking time.  Hence .version is newer than configure.in,
    causing configure.in to be regenerated at build time, requiring
    aclocal, autoheader and autoconf.

