=== debian/control ===
Source: zangband
Section: non-free/games
Priority: optional
Maintainer: Drew Parsons <dparsons@debian.org>
Uploaders: Markus Koschany <apo@gambaru.de>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libncurses5-dev,
 libx11-dev,
 libxaw7-dev,
 libxext-dev,
 libxt-dev,
 tk-dev,
 x11proto-core-dev
XS-Autobuild: yes
Homepage: http://www.zangband.org
Standards-Version: 3.9.4

Package: zangband
Architecture: any
Depends: zangband-data, ${misc:Depends}, ${shlibs:Depends}
Description: A single-player, text-based, roguelike game
 Zangband is a single-player, roguelike game, based on Angband. Like
 Angband, Zangband features unique foes, artifacts, monster pits and
 vaults.  Additionally, Zangband offers a new spell system (life,
 sorcery, nature, chaos, death magic), a different monster list,
 speaking unique foes, rumours, warrants, new ego items, backstabbing
 from rogues, poisoned weapons, and much more.

Package: zangband-data
Architecture: all
Depends: ${misc:Depends}
Description: A single-player, text-based, roguelike game (datafiles)
 Zangband is a single-player, roguelike game, based on Angband. Like
 Angband, Zangband features unique foes, artifacts, monster pits and
 vaults.
 .
 This package contains the architecture-independent data files used
 by zangband.
